Cancel a booking that was created to be invoiced
POST
/v1/booking/checkout/bookings/CancelBookingToBeInvoiced
const url = 'https://rms.dev.caspeco.net/api/booking/v1/booking/checkout/bookings/CancelBookingToBeInvoiced';const options = {method: 'POST', headers: {system: 'example', Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://rms.dev.caspeco.net/api/booking/v1/booking/checkout/bookings/CancelBookingToBeInvoiced \ --header 'Authorization: Bearer <token>' \ --header 'system: example'Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Header Parameters
Section titled “Header Parameters”system
required
string
The system name / database to query
Query Parameters
Section titled “Query Parameters”alias
string
The order alias that was used during creation
Responses
Section titled “Responses”The canceled booking with status “Canceled”
Media typeapplication/json
object
result
One of:
object
bookingNumber
string
start
string format: date-time
end
string format: date-time
guests
integer format: int32
guestsChildren
integer format: int32
message
string
messageInternal
string
status
integer format: byte
contactId
integer format: int64
contactFirstName
string
contactLastName
string
customerId
integer format: int64
customerName
string
bookingRootId
integer format: int64
checkoutPlaceId
string
id
integer format: int64
articleId
integer format: int64
tableArticles
Array<object>
object
start
string format: date-time
end
string format: date-time
articleId
integer format: int64
articleName
string
tableName
string
bookedArticleId
integer format: int64
nonTableArticles
Array<object>
object
start
string format: date-time
articleId
integer format: int64
bookedArticleId
integer format: int64
name
string
quantity
number format: decimal
outPriceIncVat
number format: decimal
vat
number format: decimal
mustBeInvoiced
boolean
validationResult
One of:
object
generalErrors
Array<object>
object
message
string
messageData
object
key
additional properties
string
generalWarnings
Array<object>
object
message
string
messageData
object
key
additional properties
string
propertyErrors
Array<object>
object
propertyName
string
message
string
messageData
object
key
additional properties
string
propertyWarnings
Array<object>
object
propertyName
string
message
string
messageData
object
key
additional properties
string
validationResults
object
key
additional properties
object
generalErrors
Array<object>
object
message
string
messageData
object
key
additional properties
string
generalWarnings
Array<object>
object
message
string
messageData
object
key
additional properties
string
propertyErrors
Array<object>
object
propertyName
string
message
string
messageData
object
key
additional properties
string
propertyWarnings
Array<object>
object
propertyName
string
message
string
messageData
object
key
additional properties
string
Example
{ "application/json": { "alias": "67b53776-f5d4-4499-9614-a3becb2276ef", "started": "2025-12-01T05:50:09.856918+00:00", "completed": "2025-12-01T07:50:09.8569264+00:00", "placeAlias": "cbbf8345-3491-4611-8fd0-66be54a4157e", "customerId": 47, "contactId": 1920, "orderRows": [ { "name": "SASHIMI", "extArticleId": "85", "amount": 80, "vatPercent": 25, "itemCount": 5 }, { "name": "SKÄRGÅRDSRÖRA", "extArticleId": "86", "amount": 95, "vatPercent": 25, "itemCount": 5 } ], "numberOfPeople": 10, "cashierName": "Bella Roos" }}